loci.formats.in.LeicaMicrosystemsMetadata

## Class Dimension

- java.lang.Object
- - loci.formats.in.LeicaMicrosystemsMetadata.Dimension

-     public class Dimension
      extends java.lang.Object

  This class represents image dimensions extracted from LMS image xmls.
  Author:
    Constanze Wendlandt constanze.wendlandt at leica-microsystems.com

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `Dimension.DimensionKey`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `long` | `bytesInc`
    `int` | `frameIndex`
    `Dimension.DimensionKey` | `key`
    `private java.lang.Double` | `length`
    `private static long` | `METER_MULTIPLY`
    `private java.lang.Double` | `offByOneLength`
    `boolean` | `oldPhysicalSize`
    `int` | `size`
    `java.lang.String` | `unit`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `private` | `Dimension()`
    `` | `Dimension(Dimension.DimensionKey key, int size, long bytesInc, java.lang.String unit, java.lang.Double length, boolean oldPhysicalSize)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Dimension` | `createChannelDimension(int channelNumber, long bytesInc)`
    `java.lang.Double` | `getLength()`
    `void` | `setLength(java.lang.Double length)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### key

          public Dimension.DimensionKey key

    - #### size

          public int size

    - #### bytesInc

          public long bytesInc

    - #### unit

          public java.lang.String unit

    - #### length

          private java.lang.Double length

    - #### offByOneLength

          private java.lang.Double offByOneLength

    - #### oldPhysicalSize

          public boolean oldPhysicalSize

    - #### frameIndex

          public int frameIndex

    - #### METER_MULTIPLY

          private static final long METER_MULTIPLY

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### Dimension

          public Dimension(Dimension.DimensionKey key,
                           int size,
                           long bytesInc,
                           java.lang.String unit,
                           java.lang.Double length,
                           boolean oldPhysicalSize)

    - #### Dimension

          private Dimension()

  - ### Method Detail

    - #### createChannelDimension

          public static Dimension createChannelDimension(int channelNumber,
                                                         long bytesInc)

    - #### setLength

          public void setLength(java.lang.Double length)

    - #### getLength

          public java.lang.Double getLength()

Copyright © 2026 Open Microscopy Environment